Bug 1889952 - [DOC] incomplete documentation for os_default_template
Summary: [DOC] incomplete documentation for os_default_template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible Collection
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.9.0
Assignee: Evgeni Golov
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-21 04:45 UTC by Steffen Froemer
Modified: 2021-04-21 13:18 UTC (History)
1 user (show)

Fixed In Version: ansible-collection-redhat-satellite-1.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:18:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github theforeman foreman-ansible-modules pull 1034 0 None closed document possible template kind choices in os_default_template 2021-01-19 12:42:04 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:18:42 UTC

Description Steffen Froemer 2020-10-21 04:45:40 UTC
Description of problem:
For collection module 'os_default_template' the name of 'template_kind' needs to be defined, but possible values are not mentioned.

Version-Release number of selected component (if applicable):
1.3.0

How reproducible:
always

Steps to Reproduce:
1. check documentation https://cloud.redhat.com/ansible/automation-hub/redhat/satellite/content/module/os_default_template

Actual results:
name of the template kind

Expected results:
A list of possible values like

  - Bootdisk
  - PXELinux
  - PXEGrub
  - PXEGrub2
  - iPXE
  - provision
  - finish
  - script
  - user_data
  - ZTP
  - POAP
  - cloud-init
  - kexec

Additional info:
All possible values for appropriate satellite can be found at https://satellite.example.com/api/v2/template_kinds too.

Comment 1 Brad Buckingham 2021-01-08 22:07:33 UTC
Early Satellite 6.9 SNAP includes ansible-collection-redhat-satellite-1.5.1-1.el7sat.noarch.rpm; therefore, aligning to release and updating state.

Comment 2 Peter Ondrejka 2021-01-21 15:50:43 UTC
Verified on Sat 6.9 snap 9

Comment 5 errata-xmlrpc 2021-04-21 13:18:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.